//* Problem  : G - Grocery store
//* Origin   : Ulm-2007
//* Type     : Judge
//* Date     : 2008.08.08
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <string>
#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <algorithm>
#include "testlib.h"

using namespace std;

int n;

vector <string> va, vs;


int main(int argc, char *argv[])
{
	registerTestlibCmd(argc, argv);

	while (!ans.eof())
	{
		va.push_back(ans.readString());
		vs.push_back(ouf.readString());
	}
	if (va.size() != vs.size())
		quitf(_wa, "Not enough lines in answer");
	sort(va.begin(), va.end());
	sort(vs.begin(), vs.end());
	for (int i = 0; i < va.size(); i++)
		if (va[i] != vs[i])
			quitf(_wa, "Wrong answer");
	quitf(_ok, "OK");
}
